/*
 * Copyright (c) 2010-2011. Axon Framework
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.axonframework.test.eventscheduler;

import org.axonframework.domain.EventMessage;
import org.joda.time.DateTime;

/**
 * Interface describing an event to be scheduled at a given date and time.
 *
 * @author Allard Buijze
 * @since 1.1
 */
public interface ScheduledItem {

    /**
     * The time the event was scheduled for publication.
     *
     * @return time the event was scheduled for publication
     */
    DateTime getScheduleTime();

    /**
     * The Event scheduled for publication.
     *
     * @return the Event scheduled for publication
     */
    EventMessage getEvent();
}
